package com.brilliance.swift.vo;

import java.util.ArrayList;
import java.util.List;

/*
* 报文转换报告
* 1.转换过程中涉及的报文错误警告信息
* 2.目标报文
 */
public class SwiftTranslationReport {

    private List<SwiftTranslationErrorInfo> errorInfos;

    private String message;

    public List<SwiftTranslationErrorInfo> getErrorInfos() {
        if (errorInfos == null) {
            errorInfos = new ArrayList<>();
        }
        return errorInfos;
    }

    public void addErrorInfo(SwiftTranslationErrorInfo errorInfo) {
        getErrorInfos().add(errorInfo);
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
