package com.brilliance.swift.mt2mx.camt056001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.mt2mx.AbstractMt2MxParseField;

import java.util.HashMap;
import java.util.Map;

public abstract class AbstractMt2MxCamt056001ParseField extends AbstractMt2MxParseField {

    protected Map<String, Object> appHdrMaps = null;

    protected Map<String, Object> assgnmtMaps = null;

    protected Map<String, Object> undrlygMaps = null;

    @Override
    public void initJsonMaps() {
        super.initJsonMaps();
        appHdrMaps = (Map<String, Object>)jsonMaps.get("appHdr");
        Map<String, Object> fiToFIPmtCxlReqMaps = (Map<String, Object>)jsonMaps.get("fiToFIPmtCxlReq");
        assgnmtMaps = (Map<String, Object>)fiToFIPmtCxlReqMaps.get("assgnmt");
        JSONArray undrlygJsonArray = (JSONArray) fiToFIPmtCxlReqMaps.get("undrlyg");
        undrlygMaps = (Map<String, Object>)undrlygJsonArray.get(0);
    }
    public Map<String, Object> getTxInfMaps(){
        Map<String, Object> txInfMaps = null;
        JSONArray txInfJsonArray = null;
        if(undrlygMaps.containsKey("txInf")){
            txInfJsonArray = (JSONArray) undrlygMaps.get("txInf");
            if(txInfJsonArray!=null){
                if (txInfJsonArray.size()>0) {
                    txInfMaps = (Map<String, Object>)txInfJsonArray.get(0);
                } else {
                    txInfMaps = new HashMap<>();
                    txInfJsonArray.add(txInfMaps);
                }
            }
        }else {
            txInfJsonArray = new JSONArray();
            txInfMaps = new HashMap<>();
            undrlygMaps.put("txInf",txInfJsonArray);
            txInfJsonArray.add(txInfMaps);
        }
        return txInfMaps;
    }
}
